ipc_cpg.h File Reference
`#include <netinet/in.h>`
`#include <qb/qbipc_common.h>`
`#include <corosync/corotypes.h>`
`#include <corosync/mar_gen.h>`
Include dependency graph for ipc_cpg.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | mar_cpg_name_t
| mar_cpg_name_t struct More...
struct | mar_cpg_address_t
| mar_cpg_address_t struct More...
struct | mar_cpg_iteration_description_t
| mar_cpg_iteration_description_t struct More...
struct | mar_cpg_ring_id_t
| mar_cpg_ring_id_t struct More...
struct | req_lib_cpg_join
| The req_lib_cpg_join struct. More...
struct | res_lib_cpg_join
| The res_lib_cpg_join struct. More...
struct | req_lib_cpg_finalize
| The req_lib_cpg_finalize struct. More...
struct | res_lib_cpg_finalize
| The res_lib_cpg_finalize struct. More...
struct | req_lib_cpg_local_get
| The req_lib_cpg_local_get struct. More...
struct | res_lib_cpg_local_get
| The res_lib_cpg_local_get struct. More...
struct | res_lib_cpg_partial_send
| The res_lib_cpg_partial_send struct. More...
struct | req_lib_cpg_mcast
| The req_lib_cpg_mcast struct. More...
struct | req_lib_cpg_partial_mcast
| The req_lib_cpg_partial_mcast struct. More...
struct | res_lib_cpg_mcast
| The res_lib_cpg_mcast struct. More...
struct | res_lib_cpg_deliver_callback
| Message from another node. More...
struct | res_lib_cpg_partial_deliver_callback
| The res_lib_cpg_partial_deliver_callback struct. More...
struct | res_lib_cpg_flowcontrol_callback
| The res_lib_cpg_flowcontrol_callback struct. More...
struct | req_lib_cpg_membership_get
| The req_lib_cpg_membership_get struct. More...
struct | res_lib_cpg_membership_get
| The res_lib_cpg_membership_get struct. More...
struct | res_lib_cpg_confchg_callback
| The res_lib_cpg_confchg_callback struct. More...
struct | res_lib_cpg_totem_confchg_callback
| The res_lib_cpg_totem_confchg_callback struct. More...
struct | req_lib_cpg_leave
| The req_lib_cpg_leave struct. More...
struct | res_lib_cpg_leave
| The res_lib_cpg_leave struct. More...
struct | req_lib_cpg_iterationinitialize
| The req_lib_cpg_iterationinitialize struct. More...
struct | res_lib_cpg_iterationinitialize
| The res_lib_cpg_iterationinitialize struct. More...
struct | req_lib_cpg_iterationnext
| The req_lib_cpg_iterationnext struct. More...
struct | res_lib_cpg_iterationnext
| The res_lib_cpg_iterationnext struct. More...
struct | req_lib_cpg_iterationfinalize
| The req_lib_cpg_iterationfinalize struct. More...
struct | res_lib_cpg_iterationfinalize
| The res_lib_cpg_iterationfinalize struct. More...
struct | mar_req_coroipcc_zc_alloc_t
| mar_req_coroipcc_zc_alloc_t struct More...
struct | mar_req_coroipcc_zc_free_t
| mar_req_coroipcc_zc_free_t struct More...
struct | mar_req_coroipcc_zc_execute_t
| mar_req_coroipcc_zc_execute_t struct More...
struct | coroipcs_zc_header
| coroipcs_zc_header struct More...

## Macros

#define | CPG_ZC_PATH_LEN 128

## Enumerations

enum

req_cpg_types {
MESSAGE_REQ_CPG_JOIN = 0 , MESSAGE_REQ_CPG_LEAVE = 1 , MESSAGE_REQ_CPG_MCAST = 2 , MESSAGE_REQ_CPG_MEMBERSHIP = 3 ,
MESSAGE_REQ_CPG_LOCAL_GET = 4 , MESSAGE_REQ_CPG_ITERATIONINITIALIZE = 5 , MESSAGE_REQ_CPG_ITERATIONNEXT = 6 , MESSAGE_REQ_CPG_ITERATIONFINALIZE = 7 ,
MESSAGE_REQ_CPG_FINALIZE = 8 , MESSAGE_REQ_CPG_ZC_ALLOC = 9 , MESSAGE_REQ_CPG_ZC_FREE = 10 , MESSAGE_REQ_CPG_ZC_EXECUTE = 11 ,
MESSAGE_REQ_CPG_PARTIAL_MCAST = 12
}

| The req_cpg_types enum. More...

enum

res_cpg_types {
MESSAGE_RES_CPG_JOIN = 0 , MESSAGE_RES_CPG_LEAVE = 1 , MESSAGE_RES_CPG_MCAST = 2 , MESSAGE_RES_CPG_MEMBERSHIP = 3 ,
MESSAGE_RES_CPG_CONFCHG_CALLBACK = 4 , MESSAGE_RES_CPG_DELIVER_CALLBACK = 5 , MESSAGE_RES_CPG_FLOW_CONTROL_STATE_SET = 6 , MESSAGE_RES_CPG_LOCAL_GET = 7 ,
MESSAGE_RES_CPG_FLOWCONTROL_CALLBACK = 8 , MESSAGE_RES_CPG_ITERATIONINITIALIZE = 9 , MESSAGE_RES_CPG_ITERATIONNEXT = 10 , MESSAGE_RES_CPG_ITERATIONFINALIZE = 11 ,
MESSAGE_RES_CPG_FINALIZE = 12 , MESSAGE_RES_CPG_TOTEM_CONFCHG_CALLBACK = 13 , MESSAGE_RES_CPG_ZC_ALLOC = 14 , MESSAGE_RES_CPG_ZC_FREE = 15 ,
MESSAGE_RES_CPG_ZC_EXECUTE = 16 , MESSAGE_RES_CPG_PARTIAL_DELIVER_CALLBACK = 17 , MESSAGE_RES_CPG_PARTIAL_SEND = 18
}

| The res_cpg_types enum. More...
enum | lib_cpg_confchg_reason { CONFCHG_CPG_REASON_JOIN = 1 , CONFCHG_CPG_REASON_LEAVE = 2 , CONFCHG_CPG_REASON_NODEDOWN = 3 , CONFCHG_CPG_REASON_NODEUP = 4 , CONFCHG_CPG_REASON_PROCDOWN = 5 }
| The lib_cpg_confchg_reason enum. More...
enum | lib_cpg_partial_types { LIBCPG_PARTIAL_FIRST = 1 , LIBCPG_PARTIAL_CONTINUED = 2 , LIBCPG_PARTIAL_LAST = 3 }
| The lib_cpg_partial_types enum. More...

## Macro Definition Documentation

## CPG_ZC_PATH_LEN

#define CPG_ZC_PATH_LEN 128

Definition at line 43 of file ipc_cpg.h.

Referenced by mar_req_coroipcc_zc_alloc_t::__attribute__(), and cpg_zcb_alloc().

## Enumeration Type Documentation

## lib_cpg_confchg_reason

enum lib_cpg_confchg_reason

The lib_cpg_confchg_reason enum.

Enumerator
CONFCHG_CPG_REASON_JOIN |
CONFCHG_CPG_REASON_LEAVE |
CONFCHG_CPG_REASON_NODEDOWN |
CONFCHG_CPG_REASON_NODEUP |
CONFCHG_CPG_REASON_PROCDOWN |

Definition at line 92 of file ipc_cpg.h.

## lib_cpg_partial_types

enum lib_cpg_partial_types

The lib_cpg_partial_types enum.

Enumerator
LIBCPG_PARTIAL_FIRST |
LIBCPG_PARTIAL_CONTINUED |
LIBCPG_PARTIAL_LAST |

Definition at line 103 of file ipc_cpg.h.

## req_cpg_types

enum req_cpg_types

The req_cpg_types enum.

Enumerator
MESSAGE_REQ_CPG_JOIN |
MESSAGE_REQ_CPG_LEAVE |
MESSAGE_REQ_CPG_MCAST |
MESSAGE_REQ_CPG_MEMBERSHIP |
MESSAGE_REQ_CPG_LOCAL_GET |
MESSAGE_REQ_CPG_ITERATIONINITIALIZE |
MESSAGE_REQ_CPG_ITERATIONNEXT |
MESSAGE_REQ_CPG_ITERATIONFINALIZE |
MESSAGE_REQ_CPG_FINALIZE |
MESSAGE_REQ_CPG_ZC_ALLOC |
MESSAGE_REQ_CPG_ZC_FREE |
MESSAGE_REQ_CPG_ZC_EXECUTE |
MESSAGE_REQ_CPG_PARTIAL_MCAST |

Definition at line 48 of file ipc_cpg.h.

## res_cpg_types

enum res_cpg_types

The res_cpg_types enum.

Enumerator
MESSAGE_RES_CPG_JOIN |
MESSAGE_RES_CPG_LEAVE |
MESSAGE_RES_CPG_MCAST |
MESSAGE_RES_CPG_MEMBERSHIP |
MESSAGE_RES_CPG_CONFCHG_CALLBACK |
MESSAGE_RES_CPG_DELIVER_CALLBACK |
MESSAGE_RES_CPG_FLOW_CONTROL_STATE_SET |
MESSAGE_RES_CPG_LOCAL_GET |
MESSAGE_RES_CPG_FLOWCONTROL_CALLBACK |
MESSAGE_RES_CPG_ITERATIONINITIALIZE |
MESSAGE_RES_CPG_ITERATIONNEXT |
MESSAGE_RES_CPG_ITERATIONFINALIZE |
MESSAGE_RES_CPG_FINALIZE |
MESSAGE_RES_CPG_TOTEM_CONFCHG_CALLBACK |
MESSAGE_RES_CPG_ZC_ALLOC |
MESSAGE_RES_CPG_ZC_FREE |
MESSAGE_RES_CPG_ZC_EXECUTE |
MESSAGE_RES_CPG_PARTIAL_DELIVER_CALLBACK |
MESSAGE_RES_CPG_PARTIAL_SEND |

Definition at line 67 of file ipc_cpg.h.